Bug 51003 - cannot print to lp0
cannot print to lp0
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: printtool (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-06 10:12 EDT by greg hosler
Modified: 2007-04-18 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-09 20:20:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description greg hosler 2001-08-06 10:12:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.6-3.1smp i686; Nav)

Description of problem:
using latest printconf*3.10-1* from beta rawhide.

1) test print of A4 post script doesn't do anything
2) test print of text page sends something to printer, but nothing
   prints (i.e. I can see the printer receiving something, but nothing
   prints). I have tried both EOT and not-EOT.
 
Printer is HP Laserjet4, with postscript module. I have tried configuring
both as HP Laserjet 4 (module ljet4), and as postscript
printer. Neither one will print plain text file. Have also tried
configuring printer as a text printer, both with and without EOT.
data goes to printer, but nothing prints.

lpr <text file> does not print.


How reproducible:
Always

Steps to Reproduce:
1. see above
2.
3.
	

Actual Results:  nothing prints

Expected Results:  I expect lpr foo.txt to print foo.txt

Additional info:
Comment 1 Glen Foster 2001-08-06 18:29:04 EDT
This defect is considered SHOULD-FIX for Fairfax.
Comment 2 Crutcher Dunnavant 2001-08-06 18:44:35 EDT
I am assuming that this is a local printer.

Please, try the following 2 files into the printer device directly, and tell me
what happens:

 /usr/share/printconf/tests/testpage.ps
 /usr/share/printconf/tests/testpage.asc

also, please do the following, and attach settings.xml:

 printconf-tui --Xexport > settings.xml

And I have to thank you for using the latest package, and filling a rather
complete bug report.
Comment 3 greg hosler 2001-08-07 09:15:53 EDT
settings.xml attached.
Comment 4 Crutcher Dunnavant 2001-08-07 14:47:08 EDT
Okay. As a matter of policy, I dont answer bug reports through email. Please put
 them here. I am pasting in the email you sent:

sorry for replying to the mail, (instead of bugzilla), but I need clarification.
 

On 06-Aug-2001 bugzilla@redhat.com wrote:
 
> +------- Additional comments from crutcher@redhat.com 2001-08-06 18:44:35
> -------
> +I am assuming that this is a local printer.
 
yes.
 
> +Please, try the following 2 files into the printer device directly, and tell
> me
> +what happens:
> +
> + /usr/share/printconf/tests/testpage.ps
> + /usr/share/printconf/tests/testpage.asc
 
I do not understand the above.
 
If I think I understand that you want me to cat the files to lp0, then when I do
 
        cat /usr/share/printconf/tests/testpage.ps > /dev/lp0
 
the cat hangs (I preseume that it can't open lp0, even as root, even after
stoping lpd)
 
> +also, please do the following, and attach settings.xml:
> +
> + printconf-tui --Xexport > settings.xml
 
I'll put this into bugzilla.
 
> +And I have to thank you for using the latest package, and filling a rather
> +complete bug report.
 
It's a real nuiance having to re-login quite a few times. The last
re-incarnation was ok. log in just one time, and it would remember. Now I have
to enter e-mail/password quite frequently. I changes my password to something I
could remember as a result.
 
-Greg
Comment 5 Crutcher Dunnavant 2001-08-07 14:51:12 EDT
Okay. First, you were correct, and I meant for you to cat into the device. If
you cannot do this, then this is a kernel problem, and I cant fix it. I am
reasigning this to the kernel.
Comment 6 Tim Waugh 2001-08-07 15:57:53 EDT
What does 'dmesg' say after you trying 'cat'ing those files to the printer?
Comment 7 greg hosler 2001-08-08 03:17:10 EDT
I am not so sure that this is a kernel bug (but I could be wrong).

I note that postscript DOES print (which means that lpd can get to lp0, even if
I cannot).

I further note that when I lpr a text file, I see my printer "busy" light blink,
but nothing
prints.

I strongly suspect that this is a configuration (as in printer filter doesn't
work) problem.

I further note that printconf-gui worked fine in beta 2.

Comment 8 Arjan van de Ven 2001-08-08 04:22:44 EDT
Well if you CAN print postscript, it indeed doesn't appear to be a kernel
bug..... the kernel doesn't know nor care about WHAT it sends to the
printerport.
Comment 9 Crutcher Dunnavant 2001-08-08 15:59:17 EDT
But you first told me that printing postscript hangs the printer. Does it?

Does catting the testpage.ps file into the device hang, work, or fail?
Does printing the testpage.ps file with printconf hang, work, or fail?Does
catting the testpage.asc file into the device hang, work, or fail?
Does printing the testpage.asc file with printconf hang, work, or fail?
Comment 10 greg hosler 2001-08-08 22:04:20 EDT
> But you first told me that printing postscript hangs the printer. Does it?

I did not say that the printer hangs, I said that the "cat" hung. There is a
difference. "cat" could hand on the "open", for example.

> Does catting the testpage.ps file into the device hang, work, or fail?

The command:

	cat /usr/share/printconf/tests/testpage.ps > /dev/lp0

will successfully print the RH test page on the printer.

> Does printing the testpage.ps file with printconf hang, work, or fail?

The command:

	lpr /usr/share/printconf/tests/testpage.ps

will ALSO successfully print the RH test page on the printer. also using
printconf to print the ducument will succeed (but ONLY for LETTER paper,
not for A4 paper, which is the standard paper available in my locale).

> Does catting the testpage.asc file into the device hang, work, or fail?

The command:

	cat /usr/share/printconf/tests/testpage.asc > /dev/lp0

fails. I see the "busy" light on the printer blink, which is to say that data
was sent to the printer. but it does not print.

I cannot get anything to come out, even by sending multiple ascii files, or
by sending a long (i.e. multi-page) file. The "busy" light will blink while
it receives the document, then nothing.

> Does printing the testpage.asc file with printconf hang, work, or fail?

fail. same as catting.

I am surprised that I can cat to the printer now. I know that this hung earlier.
Then again, that was at least one reboot ago, and I did not run printconf until
after I did the cat tests this time (last time I cat'ed after printconf'ing)
Comment 11 Crutcher Dunnavant 2001-08-09 16:58:04 EDT
okay. hmm. btw I fixed the A4 thing.

try these.

test1: plain
echo -e '1 2 3 4 5\r\n2\r\n3\r\n4\r\n5\r\nTest\r\n' > /dev/lp0

test2: EOT
echo -e '1 2 3 4 5\r\n2\r\n3\r\n4\r\n5\r\nTest\r\n\004' > /dev/lp0

test3: FF
echo -e '1 2 3 4 5\r\n2\r\n3\r\n4\r\n5\r\nTest\r\n\f' > /dev/lp0

test4: FF, EOT
echo -e '1 2 3 4 5\r\n2\r\n3\r\n4\r\n5\r\nTest\r\n\f\004' > /dev/lp0

Comment 12 greg hosler 2001-08-09 20:20:53 EDT
> try these.
>
> test1: plain
> echo -e '1 2 3 4 5\r\n2\r\n3\r\n4\r\n5\r\nTest\r\n' > /dev/lp0

Printer "busy" light blinks (i.e. it receives data), but nothing prints.

> test2: EOT
> echo -e '1 2 3 4 5\r\n2\r\n3\r\n4\r\n5\r\nTest\r\n\004' > /dev/lp0

Printer "busy" light blinks (i.e. it receives data), but nothing prints.

> test3: FF
> echo -e '1 2 3 4 5\r\n2\r\n3\r\n4\r\n5\r\nTest\r\n\f' > /dev/lp0

Printer "busy" light blinks, and then prints the following:
1 2 3 4 5
2
3
4
5
Test

1 2 3 4 5
2
3
4
5
Test

1 2 3 4 5
2
3
4
5
Test


You will note 3 copies, the 1st 2 are from the 1st 2 tests.

> test4: FF, EOT
> echo -e '1 2 3 4 5\r\n2\r\n3\r\n4\r\n5\r\nTest\r\n\f\004' > /dev/lp0

Printer "busy" light blinks, and then prints the following:
1 2 3 4 5
2
3
4
5
Test



I think that the "FF" is the magic character. I seem to remember having to
enable this in earlier printconf (i.e. pre-roswell, pre-fairfax) configs,
but the roswell printconf does not have an option for sending a terminating ff.

-G
Comment 13 Crutcher Dunnavant 2001-08-10 19:04:59 EDT
cool. Added a "Set FF" option.

Note You need to log in before you can comment on or make changes to this bug.